ProyectoCrm/src/app/Modales/ticket-mensajes/fw-ticket-mensajes/fw-ticket-mensajes.component.html

<div class="modal-header">
  <button class="close" type="button" aria-label="Close" (click)="activeModal.dismiss({'Resultado' : 'S'})"><span aria-hidden="true">&times;</span></button>
</div>
<div class="modal-body">
  <div class="row">
    <div class="datos-cliente">
      <div class="form-row">
        <div class="col-12 text-center"><img class="datos-cliente--imagen" [Gravatar]="tClienteActual.Email" alt="Usario"/></div>
      </div>
      <div class="form-row pt-2">
        <div class="col-12 text-center">
          <h6>[{{ tClienteActual.Codcliente }}] - {{ tClienteActual.Descripcion }}</h6>
        </div>
      </div>
      <div class="datos-cliente--division"><span></span></div>
      <div class="form-row pt-2">
        <div class="col-12">
          <h6 class="datos-cliente--informacion"><i class="fas fa-address-card text-secondary mr-2"></i>[ {{ tClienteActual.Tipodocumento }} ] - {{ tClienteActual.Documento }}</h6>
        </div>
      </div>
      <div class="form-row pt-1">
        <div class="col-12">
          <h6 class="datos-cliente--informacion"><i class="fas fa-calendar-alt text-secondary mr-2"></i>{{ tClienteActual.Fecha_nacimiento | date: 'dd/MM/yyyy' }}</h6>
        </div>
      </div>
      <div class="form-row pt-1">
        <div class="col-12">
          <h6 class="datos-cliente--informacion"><i class="fas fa-phone-alt text-secondary mr-2"></i>{{ tClienteActual.Telefono }}</h6>
        </div>
      </div>
      <div class="form-row pt-1">
        <div class="col-12">
          <h6 class="datos-cliente--informacion"><i class="fas fa-envelope text-secondary mr-2"></i>{{ tClienteActual.Email }}</h6>
        </div>
      </div>
    </div>
    <div class="datos-ticket">
      <div class="row">
        <div class="col-12 d-flex justify-content-between">
          <h5 class="card-title">[ {{tTicket.Codticket}} ] - {{tTicket.Titulo}}</h5>
          <h6 class="text-black-50 font-italic text-xs">{{ tTicket.Fecha_creacion | diferenciaFechas }}</h6>
        </div>
      </div>
      <div class="row">
        <div class="col-12 d-flex justify-content-around">
          <h6 class="text-xs badge badge-pill" [ColorFondo]="tTicket.Tipo_Hexadecimal" [ColorLetras]="tTicket.Tipo_Hexadecimal"><span>{{ tTicket.Tipo }}</span></h6>
          <h6 class="text-xs badge badge-pill" [ColorFondo]="tTicket.Estatus_Hexadecimal" [ColorLetras]="tTicket.Estatus_Hexadecimal"><span>{{ tTicket.Estatus }}</span></h6>
        </div>
      </div>
      <div class="datos-ticket--division"><span></span></div>
      <div class="row">
        <div class="col-12">
          <div class="datos-ticket--mensajes">
            <app-fw-burbuja-mensaje *ngFor="let tMensaje of LMensajes; let jv = index" [Mensaje]="tMensaje" [Cliente]="tClienteActual" [Usuario]="tUsuarioActual" [Usuarios]="tTicket.LUsuarios" [Empresa]="tEmpresaActual"></app-fw-burbuja-mensaje>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <div class="ControlInput">
            <div class="ControlInput--ContenedorIcono"></div>
            <textarea class="form-control" [(ngModel)]="tNuevoMensaje.Texto" (keyup.enter)="Crear_Mensaje()"></textarea>
            <div class="ControlInput--ContenedorBoton">
              <button class="btn btn-link" type="button" (click)="Crear_Mensaje()"><span class="fas fa-paper-plane"></span></button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

ProyectoCrm/src/app/Modales/ticket-mensajes/fw-ticket-mensajes/fw-ticket-mensajes.component.pug
div.modal-header
  button(type="button", aria-label="Close", (click)="activeModal.dismiss({'Resultado' : 'S'})").close
    span(aria-hidden="true") &times;

div.modal-body
  div.row
    div.datos-cliente
      div.form-row
        div.col-12.text-center
          img([Gravatar]="tClienteActual.Email", alt="Usario").datos-cliente--imagen
      div.form-row.pt-2
        div.col-12.text-center
          h6 [{{ tClienteActual.Codcliente }}] - {{ tClienteActual.Descripcion }}
      div.datos-cliente--division
        span
      div.form-row.pt-2
        div.col-12
          h6.datos-cliente--informacion
            i.fas.fa-address-card.text-secondary.mr-2
            | [ {{ tClienteActual.Tipodocumento }} ] - {{ tClienteActual.Documento }}
      div.form-row.pt-1
        div.col-12
          h6.datos-cliente--informacion
            i.fas.fa-calendar-alt.text-secondary.mr-2
            | {{ tClienteActual.Fecha_nacimiento | date: 'dd/MM/yyyy' }}
      div.form-row.pt-1
        div.col-12
          h6.datos-cliente--informacion
            i.fas.fa-phone-alt.text-secondary.mr-2
            | {{ tClienteActual.Telefono }}
      div.form-row.pt-1
        div.col-12
          h6.datos-cliente--informacion
            i.fas.fa-envelope.text-secondary.mr-2
            | {{ tClienteActual.Email }}
    div.datos-ticket
      div.row
        div.col-12.d-flex.justify-content-between
          h5.card-title [ {{tTicket.Codticket}} ] - {{tTicket.Titulo}}
          h6.text-black-50.font-italic.text-xs {{ tTicket.Fecha_creacion | diferenciaFechas }}
      div.row
        div.col-12.d-flex.justify-content-around
          h6([ColorFondo]="tTicket.Tipo_Hexadecimal", [ColorLetras]="tTicket.Tipo_Hexadecimal").text-xs.badge.badge-pill
            span {{ tTicket.Tipo }}
          h6([ColorFondo]="tTicket.Estatus_Hexadecimal", [ColorLetras]="tTicket.Estatus_Hexadecimal").text-xs.badge.badge-pill
            span {{ tTicket.Estatus }}
      div.datos-ticket--division
        span
      div.row
        div.col-12
          div.datos-ticket--mensajes
            app-fw-burbuja-mensaje(*ngFor="let tMensaje of LMensajes; let jv = index",
                                    [Mensaje]="tMensaje",
                                    [Cliente]="tClienteActual",
                                    [Usuario]="tUsuarioActual",
                                    [Usuarios]="tTicket.LUsuarios",
                                    [Empresa]="tEmpresaActual")
      div.row
        div.col-12
          div.ControlInput
            div.ControlInput--ContenedorIcono
            textarea([(ngModel)]="tNuevoMensaje.Texto", (keyup.enter)="Crear_Mensaje()").form-control
            div.ControlInput--ContenedorBoton
              button(type="button", (click)="Crear_Mensaje()").btn.btn-link
                span.fas.fa-paper-plane
